Skip to main content
`Ctrl`+`K`

# PetscDualSpaceSumGetConcatenate

Get the concatenate flag for this space.

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceSumGetConcatenate(PetscDualSpace sp, PetscBool *concatenate)

## Input Parameter

- sp - the dual space object

## Output Parameter

- concatenate - flag indicating whether subspaces are concatenated.

## Note

A concatenated sum space will have the number of components equal to the sum of the number of components of all subspaces. A non-concatenated, or direct sum space will have the same number of components as its subspaces.

## See Also

`PETSCDUALSPACESUM`, `PetscDualSpace`, `PetscDualSpaceSumSetConcatenate()`

## Level

intermediate

## Location

src/dm/dt/dualspace/impls/sum/dualspacesum.c

## Implementations

PetscDualSpaceSumGetConcatenate_Sum() in src/dm/dt/dualspace/impls/sum/dualspacesum.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages